org.wso2.extension.siddhi.execution.ml.samoa.utils.clustering

## Class StreamingClustering

- java.lang.Object
- - org.wso2.extension.siddhi.execution.ml.samoa.utils.StreamingProcess
  - - org.wso2.extension.siddhi.execution.ml.samoa.utils.clustering.StreamingClustering

- All Implemented Interfaces:
    Runnable

      public class StreamingClustering
      extends StreamingProcess

  Streaming Clustering

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `maxEvents`

    - ### Fields inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.StreamingProcess

      `cepEvents, processTaskBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingClustering(int maxEvent, int paramCount, int numberOfClusters, int parallel, int samplefrequency, int interval)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEvents(double[] eventData)`
    `Object[]` | `getOutput()`

    - ### Methods inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.StreamingProcess

      `run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### maxEvents

          public int maxEvents

  - ### Constructor Detail

    - #### StreamingClustering

          public StreamingClustering(int maxEvent,
                                     int paramCount,
                                     int numberOfClusters,
                                     int parallel,
                                     int samplefrequency,
                                     int interval)

  - ### Method Detail

    - #### addEvents

          public void addEvents(double[] eventData)

      Overrides:
        `addEvents` in class `StreamingProcess`

    - #### getOutput

          public Object[] getOutput()

      Specified by:
        `getOutput` in class `StreamingProcess`

Copyright © 2017 WSO2. All rights reserved.